[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.SnapBuffer

Distance from (or proximity to) an edge on a snap target where the snapping behavior is automatically engaged.

## Declaration

Source position: forms.pp line 795

`public property TCustomForm.SnapBuffer : Integer read GetSnapBuffer write SetSnapBuffer stored False;`

## Description

Remark: | Screen snapping depends on the LM_WINDOWPOSCHANGING message dispatched when the position for a form (window) is changed. In the current LCL release, the LM_WINDOWPOSCHANGING message is dispatched for the Windows platform only. None of the other widgetsets checked for or apply the message.

## Version info

Added in LCL version 3.0.